commit:     d1b65c92458baae87c44e05f11a6619ad39908ab
Author:     Tiziano Müller <dev-zero <AT> gentoo <DOT> org>
AuthorDate: Sun Mar 13 21:45:51 2016 +0000
Commit:     Tiziano Müller <dev-zero <AT> gentoo <DOT> org>
CommitDate: Sun Mar 13 21:46:04 2016 +0000
URL:        https://gitweb.gentoo.org/dev/dev-zero.git/commit/?id=d1b65c92

dev-vcs/git-cola: add pre-release bump for py-3.5 support (and fix tests)

 dev-vcs/git-cola/Manifest                          |  1 +
 dev-vcs/git-cola/files/README.gentoo               |  3 +
 ...t-cola-2.6_pre20160313-disable-live-tests.patch | 24 ++++++
 dev-vcs/git-cola/files/index.html                  | 15 ++++
 dev-vcs/git-cola/git-cola-2.6_pre20160313.ebuild   | 99 ++++++++++++++++++++++
 dev-vcs/git-cola/metadata.xml                      | 15 ++++
 6 files changed, 157 insertions(+)

diff --git a/dev-vcs/git-cola/Manifest b/dev-vcs/git-cola/Manifest
new file mode 100644
index 0000000..2320c87
--- /dev/null
+++ b/dev-vcs/git-cola/Manifest
@@ -0,0 +1 @@
+DIST git-cola-2.6_pre20160313.tar.gz 1027902 SHA256 
141e9b8661e82d7a912669a6e60e70bd174443db55777ca4e7cde79e06932182 SHA512 
f5333bfe878b42bb640cc5ee72b3b8dcdfcd3320d6c464459290a0a1fcf33dcade901d543f7f76f6d8be8f3c33226205c0f609bfa73b2ab136354749d9768deb
 WHIRLPOOL 
4fdc3cbcb9028d2c4dc6ba42d9b3fcf8817d6d63611ddcb6a36f8b652f037be31e86005bdb08131309a872a0f3214c66b90fc3d80e9373435c16c2407389cb20

diff --git a/dev-vcs/git-cola/files/README.gentoo 
b/dev-vcs/git-cola/files/README.gentoo
new file mode 100644
index 0000000..0f4af85
--- /dev/null
+++ b/dev-vcs/git-cola/files/README.gentoo
@@ -0,0 +1,3 @@
+Please make sure you have either a SSH key management installed and activated 
or
+installed a SSH askpass app like net-misc/x11-ssh-askpass.
+Otherwise git-cola may hang when pushing/pulling from remote git repositories 
via SSH.

diff --git 
a/dev-vcs/git-cola/files/git-cola-2.6_pre20160313-disable-live-tests.patch 
b/dev-vcs/git-cola/files/git-cola-2.6_pre20160313-disable-live-tests.patch
new file mode 100644
index 0000000..08116ef
--- /dev/null
+++ b/dev-vcs/git-cola/files/git-cola-2.6_pre20160313-disable-live-tests.patch
@@ -0,0 +1,24 @@
+diff --git a/test/git_test.py b/test/git_test.py
+index b21772e..ba2d309 100644
+--- a/test/git_test.py
++++ b/test/git_test.py
+@@ -217,19 +217,6 @@ class GitCommandTest(unittest.TestCase):
+         version = self.git.version()[STDOUT]
+         self.failUnless(version.startswith('git version'))
+ 
+-    def test_tag(self):
+-        """Test running 'git tag'"""
+-        tags = self.git.tag()[STDOUT].splitlines()
+-        if os.getenv('GIT_COLA_NO_HISTORY', False):
+-            return
+-        self.failUnless('v1.0.0' in tags)
+-
+-    def test_show(self):
+-        """Test running 'git show'"""
+-        sha = 'HEAD'
+-        content = self.git.show(sha)[STDOUT]
+-        self.failUnless(content.startswith('commit '))
+-
+     def test_stdout(self):
+         """Test overflowing the stdout buffer"""
+         # Write to stdout only

diff --git a/dev-vcs/git-cola/files/index.html 
b/dev-vcs/git-cola/files/index.html
new file mode 100644
index 0000000..7f1e814
--- /dev/null
+++ b/dev-vcs/git-cola/files/index.html
@@ -0,0 +1,15 @@
+<html>
+<head>
+       <title>Missing documentation</title>
+</head>
+<body>
+<div style="border: 4px double red; padding: 2em; margin: 4em; top: 4em; 
width: 20em;">
+       This documentation is missing. Please reinstall dev-util/cola with the 
'doc' useflag enabled.
+
+       <p style="text-align: right;">
+       Sincerely,<br/>
+       your package maintainer.
+       </p>
+</div>
+</body>
+</html>

diff --git a/dev-vcs/git-cola/git-cola-2.6_pre20160313.ebuild 
b/dev-vcs/git-cola/git-cola-2.6_pre20160313.ebuild
new file mode 100644
index 0000000..769a8bf
--- /dev/null
+++ b/dev-vcs/git-cola/git-cola-2.6_pre20160313.ebuild
@@ -0,0 +1,99 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_{3,4,5} )
+DISTUTILS_SINGLE_IMPL=true
+
+GIT_HASH="363f01e828d42c0681e5b78730524d5254293ff4"
+
+inherit distutils-r1 readme.gentoo-r1 virtualx vcs-snapshot
+
+DESCRIPTION="The highly caffeinated git GUI"
+HOMEPAGE="https://git-cola.github.io/";
+SRC_URI="https://github.com/${PN}/${PN}/archive/${GIT_HASH}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="doc test"
+
+RDEPEND="
+       dev-python/pyinotify[${PYTHON_USEDEP}]
+       dev-python/send2trash[${PYTHON_USEDEP}]
+       dev-python/PyQt4[${PYTHON_USEDEP}]
+       dev-vcs/git"
+DEPEND="${RDEPEND}
+       sys-devel/gettext
+       doc? (
+               dev-python/sphinx[${PYTHON_USEDEP}]
+               python_targets_python2_7? ( 
dev-python/sphinxtogithub[$(python_gen_usedep 'python2*')] )
+               )
+       test? ( dev-python/nose[${PYTHON_USEDEP}] )
+"
+
+PATCHES=(
+       "${FILESDIR}"/${P}-disable-live-tests.patch
+)
+
+python_prepare_all() {
+       rm share/git-cola/bin/*askpass* || die
+
+       # remove broken tests
+       rm test/i18n_test.py || die
+
+       # don't install docs into wrong location
+       sed -i -e '/doc/d' setup.py || die
+
+       # fix doc directory reference
+       sed -i \
+               -e "s/'doc', 'git-cola'/'doc', '${PF}'/" \
+               cola/resources.py || die
+
+       # fix ssh-askpass directory reference
+       sed -i -e 's/resources\.share/resources\.prefix/' cola/app.py || die
+
+       distutils-r1_python_prepare_all
+}
+
+python_compile_all() {
+       cd share/doc/${PN}/ || die
+       if use doc; then
+               emake all
+       else
+               sed \
+                       -e '/^install:/s:install-html::g' \
+                       -e '/^install:/s:install-man::g' \
+                       -i Makefile || die
+       fi
+}
+
+python_test() {
+       # the tests require a utf-8 encoding (LC=C makes it ASCII)
+       PYTHONPATH="${S}:${S}/build/lib:${PYTHONPATH}" LC_ALL="en_US.utf8" \
+               virtx nosetests --verbose --with-id --with-doctest \
+                       --exclude=sphinxtogithub || die
+}
+
+src_install() {
+       distutils-r1_src_install
+}
+
+python_install_all() {
+       cd share/doc/${PN}/ || die
+       emake \
+               DESTDIR="${D}" \
+               docdir="${EPREFIX}/usr/share/doc/${PF}" \
+               prefix="${EPREFIX}/usr" \
+               install
+
+       python_fix_shebang "${ED}/usr/share/git-cola/bin/git-xbase" 
"${ED}"/usr/bin/git-cola
+       python_optimize "${ED}/usr/share/git-cola/lib/cola"
+
+       use doc || HTML_DOCS=( "${FILESDIR}"/index.html )
+
+       distutils-r1_python_install_all
+       readme.gentoo_create_doc
+}

diff --git a/dev-vcs/git-cola/metadata.xml b/dev-vcs/git-cola/metadata.xml
new file mode 100644
index 0000000..41c9fab
--- /dev/null
+++ b/dev-vcs/git-cola/metadata.xml
@@ -0,0 +1,15 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+  <maintainer type="person">
+    <email>mr...@gentoo.org</email>
+    <name>Manuel Rüger</name>
+  </maintainer>
+  <maintainer type="person">
+    <email>dev-z...@gentoo.org</email>
+    <name>Tiziano Müller</name>
+  </maintainer>
+  <upstream>
+    <remote-id type="github">git-cola/git-cola</remote-id>
+  </upstream>
+</pkgmetadata>

Reply via email to